> ## Documentation Index
> Fetch the complete documentation index at: https://developers.teampascal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get datasource status

> Read the token's datasource status.



## OpenAPI

````yaml openapi.json GET /datasources/{name}
openapi: 3.1.0
info:
  description: Push purchase orders and invoices into Pascal.
  title: Pascal Custom Source API
  version: '1'
servers:
  - url: https://app.teampascal.com/api/v1/custom-source
security: []
paths:
  /datasources/{name}:
    get:
      tags:
        - Datasources
      summary: Get datasource status
      description: Read the token's datasource status.
      operationId: get_datasource_datasources__name__get
      parameters:
        - in: path
          name: name
          required: true
          schema:
            title: Name
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DatasourceResponse'
          description: Successful Response
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
          description: Forbidden
        '503':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
          description: Service Unavailable
      security:
        - bearer: []
components:
  schemas:
    DatasourceResponse:
      properties:
        connector_stats:
          anyOf:
            - additionalProperties:
                $ref: '#/components/schemas/JsonValue'
              type: object
            - type: 'null'
          title: Connector Stats
        datasource:
          title: Datasource
          type: string
        doc_types:
          items:
            type: string
          title: Doc Types
          type: array
        last_accepted_upload:
          anyOf:
            - $ref: '#/components/schemas/AcceptedUploadResponse'
            - type: 'null'
        record_count:
          title: Record Count
          type: integer
      required:
        - datasource
        - doc_types
        - record_count
        - last_accepted_upload
        - connector_stats
      title: DatasourceResponse
      type: object
    ErrorEnvelope:
      properties:
        error:
          $ref: '#/components/schemas/ErrorBody'
      required:
        - error
      title: ErrorEnvelope
      type: object
    JsonValue: {}
    AcceptedUploadResponse:
      properties:
        finished_at:
          format: date-time
          title: Finished At
          type: string
        merged_counts:
          anyOf:
            - $ref: '#/components/schemas/MergeResult'
            - type: 'null'
        upload_id:
          title: Upload Id
          type: string
      required:
        - upload_id
        - finished_at
        - merged_counts
      title: AcceptedUploadResponse
      type: object
    ErrorBody:
      properties:
        code:
          title: Code
          type: string
        details:
          $ref: '#/components/schemas/JsonValue'
        message:
          title: Message
          type: string
      required:
        - code
        - message
      title: ErrorBody
      type: object
    MergeResult:
      properties:
        deleted:
          title: Deleted
          type: integer
        inserted:
          title: Inserted
          type: integer
        updated:
          title: Updated
          type: integer
      required:
        - inserted
        - updated
        - deleted
      title: MergeResult
      type: object
  securitySchemes:
    bearer:
      scheme: bearer
      type: http

````